class Api::AccountsController < ApplicationController
  skip_before_filter :ensure_canvas_connected_to_facebook
  before_filter :authorize_access
  before_filter :find_account, :only => [:show]
  
  # GET /accounts/1
  # GET /accounts/1.xml
  def show
    respond_to do |wants|
      wants.html # show.html.erb
      wants.json {}
      wants.xml  { render :xml => @account }
    end
  end
  
  # POST /accounts
  # POST /accounts.xml
  def create
    @account = Account.find_or_create_by_fbid(params[:id])

    respond_to do |format|
      if @account.save
        format.html { }
        format.xml  { }
        format.json  { render :action => "show.rabl"}
      end
    end
  end
  
  def unauthorized
    @error = "Token is not correct"
    
    respond_to do |format|
        format.html { }
        format.xml  { }
        format.json  { }
    end
  end
  
  private
    
    def authorize_access
      token = "fioerAppforBlat"
      if token != params[:token]
        puts "TOKEN is INVALID!!"
        render :action => "unauthorized.rabl"
      end
    end
  
    def find_account
      @account = Account.find(params[:id])
    end
  
end